Prevent overflow in while setting the values
ClosedPublic

Authored by tcanabrava on Jan 11 2019, 5:10 PM.

Details

Reviewers
mardelle
vpinon
Summary

use std::max

Simplify slotShowTitleBars

Initialize the vector at once instead of appending

Create variable in the if-scope

Create the hashmap at once

Instead of adding.

Diff Detail

Repository
R158 Kdenlive
Branch
help_refactoring
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 6973
Build 6991: arc lint + arc unit
tcanabrava requested review of this revision.Jan 11 2019, 5:10 PM
tcanabrava created this revision.
afarid added a subscriber: afarid.

A contribution from @tcanabrava <3

mardelle accepted this revision.Jan 12 2019, 5:40 PM

Thanks for this contribution!

This revision is now accepted and ready to land.Jan 12 2019, 5:40 PM

can you push this? I don't know what I did wrong but I got a access denied.

mardelle closed this revision.Jan 15 2019, 1:28 PM

This is now committed, thanks (our KDE repository is currently read-only because we are testing a new infrastructure)